Skip to main content
POST
/
rooms
/
{room_name}
/
sipCallTransfer
rooms/:name/sipCallTransfer
curl --request POST \
  --url https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sessionId": "<string>",
  "toEndPoint": "<string>",
  "callerId": "<string>",
  "waitBeforeExtensionDialSec": 0,
  "extension": "1234"
}
'
{
  "ok": "true"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

Body

application/json
sessionId
string
toEndPoint
string

the SIP/phoneNumber endpoint to transfer the call to.

callerId
string

determine the phone number used for outbound call (i.e. phone number displayed on the called phone). purchased phone

waitBeforeExtensionDialSec
integer
default:0

number of seconds to wait before dialing the extension, once dialed number is connected.

Required range: 0 <= x <= 60
extension
string

the extension to dial after dialed number is connected. e.g. 1234

Required string length: 1 - 20
Example:

"1234"

Response

200 - application/json

200